dchaofei

Azure 运行 yii2 Laravel 应用

理论上所有路由重新的都可以这样做 因为 Azure 是用的 iis 服务器, 所以路由重写不能用 .htaccess,我们需要用 web.config 配置文件。 把 index.php 同目录下的 .htaccess 替换为 web.config,内容为: <?xml version="1.0" encoding="UTF-8"?> <configuration> ...

dchaofei 2018 年 03 月 17 日 暂无评论

deepin 安装 jdk8

选择适合自己电脑的 jdk 下载 http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html 解压 $ sudo tar -zxvf jdk-8u162-Linux-x64.tar.gz -C /usr/bin 设置环境变量 $ VIM ~/.bashrc #输入 JAVA_HOME=...

dchaofei 2018 年 03 月 03 日 暂无评论

获取微信跳一跳 session_id

安卓端获取 下载抓包工具 点击下载 安装时,要什么证书就直接上。 开启抓包, 点击右上角绿三角按钮。 玩一局跳一跳再回来停止抓包,看有数据了 打开数据,找到微信带有红色 SSL 字样的 然后找到 session_id,复制出来,这样就大功告成了 还想看~~~,没了 iOS 获取 google baidu iOS 不做详解,没设备 修改分数链接 修改分数地址

dchaofei 2018 年 01 月 04 日 暂无评论

总结一下 2017

总结一下 2017 时间过得真快,记得上次写总结是 2017 年 7 月 3 日,好啦,写写我这半年干了什么事吧。 工作上 上次总结我说,我喜欢的公司没有要我,就随便找了个差不多的公司工作了一段时间,但是,终究不是自己喜欢的,结果当然是不好的。我经历了一段迷茫,不知道自己技术方向要往哪走,正在我决定辞职之际,我的女朋友,未来的老婆 @ 媳妇,把我的简历偷偷的又投给了最初我喜欢的公司,面试之后...

dchaofei 2017 年 12 月 31 日 暂无评论

搬瓦工服务器崩溃了 【QENU-KVM Agent is not running inside VE】

我联系客服多次,客服让自己解决,但我连不上服务器,使用官方的 KiwiVM 不能执行任何命令,就像这样: 只要开机服务器, CPU 负载就 100%, 我没有任何办法,只能想办法把我的数据拿出来。 取出数据 使用搬瓦工快照功能备份一下服务器 之后重装一下系统 因为解压备份的快照你会发现有个 disk 文件,我们可以直接挂载到新服务器(以下操作,在重装服务器后) 快照页面 dow...

dchaofei 2017 年 12 月 02 日 暂无评论

deepin 安装 xdebug

deepin 安装 xdebug 安装 php 看我前几篇文章 ==php7.0== 安装 xdebug # 检查是否有 phpize $ phpize -v 如果没有就执行 $ sudo apt-get install php-dev # 下载安装 xdebug $ wget https://xdebug.org/files/xdebug-2.4.0.tgz $ tax -xvzf xd...

dchaofei 2017 年 11 月 05 日 暂无评论

deepin 安装 php7 并实现多版本切换

首先安装 php 安装 命令:sudo apt-get install lamp 修改网站的根目录 在/etc/apache2/sites-available 中修改 000-default.conf 中的DocumentRoot /var/www/html 修改为想要的目录 ,比如 /var/www 命令:sudo vi /etc/apache2/sites-available/000-...

dchaofei 2017 年 11 月 01 日 暂无评论

Yii 模块化

Yii 模块化 其实 Yii 程序就是一个模块,最外层的控制器,模型,视图,配置文件就是一个大模块,我们可以创建许多小模块去细分逻辑问题。 例子: 假如我们创建一个博客,我们可以创建文章模块,用户管理模块,等等 如果用户管理逻辑太复杂,我们还可以细分头像模块,密码模块 如果当密码模块有 bug,你选择禁用,你可以在当前目录放置配置文件来控制是否启用子模块。 用 gii 创建模块,假如 P...

dchaofei 2017 年 09 月 25 日 暂无评论

composer 使用

composer 的仓库 https://packagist.org/ 下载单个依赖包,两种方式,后边可跟上版本号 composer require yiisoft/yii2-gii 2.04 OR php composer.phar require yiisoft/yii2-gii 2.0.4 安装所有依赖包 首先在 composer.json 文件中写明所需要的依赖,requi...

dchaofei 2017 年 09 月 17 日 暂无评论

yii2 Pjax 的使用

果然啊,有些坑还是要自己踩过才懂是什么坑。 Yii2 提供了一个 Pjax widget 帮助我们使用 Pjax 引入 Pjax <?php use yii\widgets\Pjax; ?> 添加 Pjax 包裹住需要更新的内容 <?php Pjax::begin(); ?> 需要更新的内容 <?php Pjax::end(); ?> 超链接使用 P...

dchaofei 2017 年 09 月 09 日 暂无评论